Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.utils
Class Key<T>

    java.lang.Object
      org.quartz.utils.Key<T>

All Implemented Interfaces:
  Serializable, Comparable<Key<T>>

Direct Known Subclasses:
  JobKey, TriggerKey

    public class Key<T>

extends Object
implements Serializable, Comparable<Key<T>>

Object representing a job or trigger key.

Author:
  Jeffrey Wescott
See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_GROUP` The default group for scheduling entities, with the value "DEFAULT".

Constructor Summary
`Key(String name, String group)` Construct a new key with the given name and group.

Method Summary
`int` | `compareTo(Key<T> o)`
`static String` | `createUniqueName(String group)`
`boolean` | `equals(Object obj)`
`String` | `getGroup()` Get the group portion of the key.
`String` | `getName()` Get the name portion of the key.
`int` | `hashCode()`
`String` | `toString()` Return the string representation of the key.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_GROUP

    public static final String DEFAULT_GROUP

  The default group for scheduling entities, with the value "DEFAULT".

  See Also:
    Constant Field Values

Constructor Detail

### Key

    public Key(String name,
               String group)

  Construct a new key with the given name and group.

  Parameters:
    `name` - the name
    `group` - the group

Method Detail

### getName

    public String getName()

  Get the name portion of the key.

  Returns:
    the name

### getGroup

    public String getGroup()

  Get the group portion of the key.

  Returns:
    the group

### toString

    public String toString()

  Return the string representation of the key. The format will be: <group>.<name>.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string representation of the key

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Key<T> o)

  Specified by:
    `compareTo` in interface `Comparable<Key<T>>`

### createUniqueName

    public static String createUniqueName(String group)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.